from mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.skills.create_version(skill_id="skill_1710000000000_abc123")
# Handle response
print(res){
"id": "skver_1710000000000_xyz789",
"created_at": 1710000000,
"description": "A skill for deploying applications",
"name": "deploy-app",
"object": "skill.version",
"skill_id": "skill_1710000000000_abc123",
"version": "1"
}Create a new immutable version of a skill by uploading files. The uploaded files must include a SKILL.md manifest.
from mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.skills.create_version(skill_id="skill_1710000000000_abc123")
# Handle response
print(res){
"id": "skver_1710000000000_xyz789",
"created_at": 1710000000,
"description": "A skill for deploying applications",
"name": "deploy-app",
"object": "skill.version",
"skill_id": "skill_1710000000000_abc123",
"version": "1"
}Documentation Index
Fetch the complete documentation index at: https://docs.mka1.com/llms.txt
Use this file to discover all available pages before exploring further.
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Optional external end-user identifier forwarded by the API gateway.
OK
Unique identifier for the version
Unix timestamp when the version was created
-9007199254740991 <= x <= 9007199254740991Description of the skill version
Name of the skill version
Parent skill identifier
Version number
Was this page helpful?